Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class AndInfo

    java.lang.Object
      toolkit.db.api.AndInfo

    public class AndInfo

extends java.lang.Object

class AndInfo wraps all And command related info

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this AndInfo to the specified object.
`java.lang.String` | `getLeftExpr()` Get the value of left expression.
`java.lang.String` | `getLogic()` Get the value of logic.
`java.lang.String` | `getOperator()` Get the value of operator.
`java.lang.String` | `getRightExpr()` Get the value of right expression.
`boolean` | `isEndOfGroup()` Whether this is the last condition in a group.
`java.lang.String` | `toString()` Returns a string representing this AndInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLeftExpr

    public java.lang.String getLeftExpr()

  Get the value of left expression.

  Returns:
    the left expression value

### getOperator

    public java.lang.String getOperator()

  Get the value of operator.

  Returns:
    the operator value

### getRightExpr

    public java.lang.String getRightExpr()

  Get the value of right expression.

  Returns:
    the right expression value

### getLogic

    public java.lang.String getLogic()

  Get the value of logic.

  Returns:
    logic value

### isEndOfGroup

    public boolean isEndOfGroup()

  Whether this is the last condition in a group.

  Returns:
    true if this is the last condition in a group, false otherwise.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this AndInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the AndInfo is same; false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representing this AndInfo's values. The format is as follows:

  >       className@hashCode[ leftExrepssion | operator | rightExpression |
  >                           logic | isEndOfGroup ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing this AndInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD